# gdb(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

gdb - GNU Debugger
dbx - UNIX Debugger

## SYNOPSIS

gdb "program-name" "additional-args"
dbx "program-name" "additional-args"

## DESCRIPTION

gdb and dbx provide an editor interface to the GNU and native system debuggers, respectively. On running either command then an interactive shell window is opened to the debugger command line interface. MicroEmacs then interprets the information from the debugger interface and opens files and hilights the current line as required. The current line is maintained while single stepping through the code.

Buffers opened and referenced by the debugger have the key `F9` bound to setting a break point.

The input mode in the shell window may be toggled using key f3

## NOTES

gdb and dbx are macros defined in file `hkipipe.emf`.

## SEE ALSO

perldb(3), ipipe-shell-command(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>